Namespace UTSModule.Production
    Public Class ProductionLineManager
        Private _id As Integer

        Private _name As String

        Private _description As String

        Private _remark As String

        Sub New()

        End Sub

        Sub New(id As Integer, name As String)
            _id = id
            _name = name
        End Sub

        Sub New(id As Integer, name As String, desc As String)
            _id = id
            _name = name

            _description = desc
        End Sub

        Sub New(id As Integer, name As String, desc As String, remark As String)
            _id = id
            _name = name

            _description = desc
            _remark = remark
        End Sub

        Public ReadOnly Property ID() As Integer
            Get
                Return _id
            End Get

        End Property


        Public ReadOnly Property Name() As String
            Get
                Return _name
            End Get

        End Property


        Public ReadOnly Property Description() As String
            Get
                Return _description
            End Get

        End Property

        Public ReadOnly Property Remark() As String
            Get
                Return _remark
            End Get

        End Property

    End Class

End Namespace